<app-navbar-util></app-navbar-util>
<div class="list row">
  
    <div class="col-md-6">
      <h4>Listes des livres</h4>
      <ul class="list-group">
        <li
          class="list-group-item"
          *ngFor="let livre of livres; let i = index"
          [class.active]="i == currentIndex"
          (click)="setActiveLivre(livre, i)"
        >
          <div id="hey"> {{ livre.titre }} 
            <p id="prix">{{livre.prix}} $</p> 
          </div>
        </li>
      </ul>
      <p> Prix total de la commande: {{total}} $ </p>
      <button (click)="validerPanier(total)">Valider la commande</button>
      <button (click)="clearPanier()">Vider le panier</button>

      <div *ngIf="index >=0"  >
        <div >
          <p>Le livre {{livreProb!.titre}} n'est pas disponible dans cette quantité, la quantitée maximale est de {{livreProb!.quantite}} </p>
        </div>
        
      </div>
  

    </div>
    <div class="col-md-6">
      <div *ngIf="currentLivre">
        <h4>Livre</h4>
        <div>
          <label><strong>Id:</strong></label> {{ currentLivre._id }}
        </div>
        <div>
          <label><strong>Titre:</strong></label> {{ currentLivre.titre }}
        </div>
        <div>
          <label><strong>Auteurs:</strong></label>
          {{ currentLivre.auteurs }}
        </div>
        <div>
          <label><strong>Date de publication:</strong></label>
          {{ currentLivre.datePublication}}
        </div>
        <div>
          <label><strong>Genre:</strong></label>
          {{ currentLivre.genre }}
        </div>
        <div>
          <label><strong>Description:</strong></label>
          {{ currentLivre.quatriemePage }}
        </div>
        <div>
          <label><strong>Prix:</strong></label>
          {{ currentLivre.prix }}
        </div>

        
        <div>
          <label ><strong>Quantité:</strong></label>
              <input (input)="majQuantiteAchete()" [(ngModel)]="currentLivre.qtAchete" type="number" name="Quantity" placeholder={{currentLivre.qtAchete}} min=1 max={{currentLivre.quantite}} />
         </div>

         <button class="badge badge-danger mr-2" (click)="deleteFromPanier(currentLivre)">
          Delete
        </button>
      </div>

      
      <div *ngIf="!currentLivre">
        <br />
        <p>Cliquez sur un livre pour avoir plus d'infos</p>
      </div>


    </div>

    
</div>